Subject: Re: bug#57044: 29.0.50; tramp-error: Reading directory: Permission denied, /scp:motorolausb:/storage/emulated/0/

From: Michael Albinus <[email-masked]>
Date: Fri, 16 Sep 2022 13:44:10 +0200

Jean Louis <[email-masked]> writes:

Best regards, Michael.

> I have compiled latest Emacs Version.
>
> I did this:
>
> (add-to-list 'tramp-remote-path "/data/data/com.termux/files/usr/bin")
>
> (add-to-list 'tramp-remote-path "/data/data/com.termux/files/usr/bin")
>
> (setq tramp-verbose 10
>       tramp-connection-properties '(("scp:motorola" "tmpdir" "/storage/emulated/0/tmp") ("ssh:motorola" "tmpdir" "/storage/emulated/0/tmp")))
>
> Error is that it cannot find `ls' command. I had never problems with
> it before.
>
> Problem is with scp method.
> ============================
>
> If I use ssh method, I can enter. I can enter with rsync method.
>
> If I use scp method, with the above information, I get missing `ls'
> command.

Have you started "emacs -Q", as indicated several times by me? Nothing
configured else but the bits from above?

> Jean

Best regards, Michael.